Bug 292210 - Using mouse wheel on time bar scrolls time, but not agenda view
Summary: Using mouse wheel on time bar scrolls time, but not agenda view
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Unclassified
Component: agendaview (weekview) (show other bugs)
Version: 4.8.x
Platform: Microsoft Windows All
: NOR normal (vote)
Target Milestone: ---
Assignee: Sergio Martins
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-22 17:51 UTC by Heiner Markert
Modified: 2012-02-10 14:25 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiner Markert 2012-01-22 17:51:47 UTC
Version:           4.8.x (using Devel) 
OS:                MS Windows

When using the mouse wheel on the bar displaying the time in korganizer, the times are scrolled. However, the calendar view is not moved accordingly, which results in the time scale being shifted against the event view.

Reproducible: Always

Steps to Reproduce:
Open korganizer or kontact
Select week view
Use mouse wheel on time scale left to agenda view

Actual Results:  
Time scrolls, Events do not scroll
Results in the time scale being shifted against the events displayed in the agendaview

Expected Results:  
Time scale and events should scroll by the same amount of time.
Comment 1 Heiner Markert 2012-01-22 17:52:47 UTC
I also tested this with several 4.7 KDE releases on Linux (Ubuntu, openSUSE), which all suffer from this bug.
Comment 2 Andre Heinecke 2012-01-30 10:24:20 UTC
Changed to OS: All
I can reproduce this also on Windows and Linux.
Comment 3 Sergio Martins 2012-02-10 14:24:17 UTC
Git commit 8c0a0f75518b3b2d50a9259981586d99b469fdea by Sergio Martins.
Committed on 10/02/2012 at 08:41.
Pushed by smartins into branch 'master'.

Scroll the agenda when using the wheel on the timelabels.

M  +4    -0    calendarviews/eventviews/agenda/timelabelszone.cpp

http://commits.kde.org/kdepim/8c0a0f75518b3b2d50a9259981586d99b469fdea
Comment 4 Sergio Martins 2012-02-10 14:25:55 UTC
Git commit ceedfb8a4b8e493ba55e57f86fcdc5b631949138 by Sergio Martins.
Committed on 10/02/2012 at 08:41.
Pushed by smartins into branch 'KDE/4.8'.

Scroll the agenda when using the wheel on the timelabels.
(cherry picked from commit 8c0a0f75518b3b2d50a9259981586d99b469fdea)

M  +4    -0    calendarviews/eventviews/agenda/timelabelszone.cpp

http://commits.kde.org/kdepim/ceedfb8a4b8e493ba55e57f86fcdc5b631949138